#pragma once

#include <string>
#include <vector>

class Director {
    public:
        explicit Director(std::vector<std::string> const& args);
        ~Director();

        auto run() -> int;  // Main game loop

    private:
        std::string executable_path_;
        std::string system_folder_;

        static auto checkProgramArguments(std::vector<std::string> const& args)
            -> std::string;
        void createSystemFolder(const std::string& folder);
};
